io.vertx.groovy.ext.auth.oauth2

## Class KeycloakHelper_GroovyStaticExtension

- java.lang.Object
- - io.vertx.groovy.ext.auth.oauth2.KeycloakHelper_GroovyStaticExtension

-     public class KeycloakHelper_GroovyStaticExtension
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeycloakHelper_GroovyStaticExtension()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Map<String,Object>` | `accessToken(KeycloakHelper j_receiver, Map<String,Object> principal)`
    `static String` | `acr(KeycloakHelper j_receiver, Map<String,Object> principal)`
    `static Set<String>` | `allowedOrigins(KeycloakHelper j_receiver, Map<String,Object> principal)`
    `static int` | `authTime(KeycloakHelper j_receiver, Map<String,Object> principal)`
    `static String` | `email(KeycloakHelper j_receiver, Map<String,Object> principal)`
    `static Map<String,Object>` | `idToken(KeycloakHelper j_receiver, Map<String,Object> principal)`
    `static String` | `name(KeycloakHelper j_receiver, Map<String,Object> principal)`
    `static String` | `nickName(KeycloakHelper j_receiver, Map<String,Object> principal)`
    `static Map<String,Object>` | `parseToken(KeycloakHelper j_receiver, String token)`
    `static String` | `preferredUsername(KeycloakHelper j_receiver, Map<String,Object> principal)`
    `static String` | `rawAccessToken(KeycloakHelper j_receiver, Map<String,Object> principal)`
    `static String` | `rawIdToken(KeycloakHelper j_receiver, Map<String,Object> principal)`
    `static String` | `sessionState(KeycloakHelper j_receiver, Map<String,Object> principal)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeycloakHelper_GroovyStaticExtension

          public KeycloakHelper_GroovyStaticExtension()

  - ### Method Detail

    - #### rawIdToken

          public static String rawIdToken(KeycloakHelper j_receiver,
                                          Map<String,Object> principal)

    - #### idToken

          public static Map<String,Object> idToken(KeycloakHelper j_receiver,
                                                   Map<String,Object> principal)

    - #### rawAccessToken

          public static String rawAccessToken(KeycloakHelper j_receiver,
                                              Map<String,Object> principal)

    - #### accessToken

          public static Map<String,Object> accessToken(KeycloakHelper j_receiver,
                                                       Map<String,Object> principal)

    - #### authTime

          public static int authTime(KeycloakHelper j_receiver,
                                     Map<String,Object> principal)

    - #### sessionState

          public static String sessionState(KeycloakHelper j_receiver,
                                            Map<String,Object> principal)

    - #### acr

          public static String acr(KeycloakHelper j_receiver,
                                   Map<String,Object> principal)

    - #### name

          public static String name(KeycloakHelper j_receiver,
                                    Map<String,Object> principal)

    - #### email

          public static String email(KeycloakHelper j_receiver,
                                     Map<String,Object> principal)

    - #### preferredUsername

          public static String preferredUsername(KeycloakHelper j_receiver,
                                                 Map<String,Object> principal)

    - #### nickName

          public static String nickName(KeycloakHelper j_receiver,
                                        Map<String,Object> principal)

    - #### allowedOrigins

          public static Set<String> allowedOrigins(KeycloakHelper j_receiver,
                                                   Map<String,Object> principal)

    - #### parseToken

          public static Map<String,Object> parseToken(KeycloakHelper j_receiver,
                                                      String token)

Copyright © 2017. All rights reserved.